Skip to main content
POST
/
api
/
{portfolio}
/
portfolios
/
v1
/
payment
/
profile
Create a payment profile for an existing unit rental record
curl --request POST \
  --url https://public-api.prd.monument.io/api/{portfolio}/portfolios/v1/payment/profile \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <x-api-key>' \
  --data '
{
  "lastFour": "<string>",
  "paymentType": "CREDIT/DEBIT",
  "processorToken": "<string>",
  "processorAuthTransactionId": "<string>",
  "processorTokenId": "<string>",
  "billingFirstName": "<string>",
  "billingLastName": "<string>",
  "billingCity": "<string>",
  "billingZip": "<string>",
  "billingState": "<string>",
  "autopayEnabled": true,
  "unitRentalRecordUuid": "<string>",
  "billingAddressLine1": "<string>",
  "billingAddressLine2": "<string>"
}
'
{
  "paymentProfileUuid": "<string>"
}

Headers

x-api-key
any
required

Api key required to authenticate your request. Please reach out to monument for a key.

Example:

"monument-2230012-2312321"

Path Parameters

portfolio
string
required

Body

application/json
lastFour
string
required
paymentType
enum<string>
required
Available options:
CREDIT/DEBIT,
ACH
processorToken
string
required
processorAuthTransactionId
string
required
processorTokenId
string
required
billingFirstName
string
required
billingLastName
string
required
billingCity
string
required
billingZip
string
required
billingState
string
required
autopayEnabled
boolean
required

Will set this payment method to be used for future bills for this unit.

unitRentalRecordUuid
string
required

UUID of the unit rental record to link the payment profile to

billingAddressLine1
string
billingAddressLine2
string

Response

Payment profile created and linked to the unit rental record

paymentProfileUuid
string
required

UUID of the created payment profile